# SyncMutex::lock

(PECL sync >= 1.0.0)

SyncMutex::lock — Waits for an exclusive lock

### Description

public SyncMutex::lock ([ int `$wait` = -1 ] ) : bool

Obtains an exclusive lock on a SyncMutex object. If the lock is already acquired, then this increments an internal counter.

### Parameters

`wait`

  The number of milliseconds to wait for the exclusive lock. A value of -1 is infinite.

### Return Values

A boolean of TRUE if the lock was obtained, FALSE otherwise.

### Examples

Example #1 SyncMutex::lock() example

`<?php
$mutex = new SyncMutex("UniqueName");
if (!$mutex->lock(3000))
{
echo "Unable to lock mutex.";
exit();
}
/* ... */
$mutex->unlock();
?>`

### See Also

- SyncMutex::unlock() - Unlocks the mutex